# ACE_OS::ace_flock_t Class Reference

OS file locking structure. More...

`#include <OS_NS_stdio.h>`

List of all members.

## Public Member Functions

void | dump (void) const
| Dump state of the object.

## Public Attributes

ACE_OVERLAPPED | overlapped_
const ACE_TCHAR * | lockname_
| Name of this filelock.
ACE_HANDLE | handle_
| Handle to the underlying file.

## Detailed Description

OS file locking structure.

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_OS::ace_flock_t::dump | ( | void |  | ) | const

| Dump state of the object.

## Member Data Documentation

ACE_HANDLE ACE_OS::ace_flock_t::handle_

| Handle to the underlying file.

const ACE_TCHAR* ACE_OS::ace_flock_t::lockname_

| Name of this filelock.

ACE_OVERLAPPED ACE_OS::ace_flock_t::overlapped_

The documentation for this class was generated from the following files:

- OS_NS_stdio.h
- OS_NS_stdio.cpp